Skip to navigation

Update Restore Account

Updates restore account properties.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
ID of the project.
accountIdstringRequiredformat: "uuid"

Eon-assigned ID of the restore account to update.

Request

This endpoint expects an object.
namestringOptional
Display name for the restore account in Eon.
restoreAccountAttributesobjectOptional

Cloud-provider-specific fields to update. One of: aws, gcp.

Response

Restore account updated.
restoreAccountobject
Updated restore account.

Errors

400
Bad Request Error
404
Not Found Error